using System.Text.Json.Serialization;

namespace FitConnect.Models;

public class Submission {
    [JsonPropertyName("destinationId")]
    public string? DestinationId { get; set; }

    [JsonPropertyName("announcedAttachments")]
    public List<string>? AnnouncedAttachments { get; set; }

    [JsonPropertyName("serviceType")]
    public ServiceType? ServiceType { get; set; }

    [JsonPropertyName("callback")]
    public Callback? Callback { get; set; }
}
